"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = detectKeyString;

var _keyStringMap = require("./key-string-map.js");

var _keyStringMap2 = _interopRequireDefault(_keyStringMap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param event {KeyboardEvent}
 * @returns {String}
 */
function detectKeyString(event) {
  var keyString = "";
  if (event.shiftKey) {
    keyString = "Shift+" + keyString;
  }
  if (event.ctrlKey) {
    keyString = "Ctrl+" + keyString;
  }
  if (event.altKey) {
    keyString = "Alt+" + keyString;
  }
  if (event.metaKey) {
    keyString = "Meta+" + keyString;
  }
  keyString += _keyStringMap2.default[event.keyCode] || "Unknown";
  return keyString;
}